IOSS 2.0

Classes | Functions | Variables
anonymous_namespace{sphgen.C} Namespace Reference

## Classes
struct | Globals

## Functions
void | hex_volume (Ioss::ElementBlock *block, const std::vector< double > &coordinates, double *centroids, std::vector< double > &volume, std::vector< double > &radius, double scale_factor)
void | show_usage (const std::string &prog)
void | create_sph (const std::string &inpfile, const std::string &input_type, const std::string &outfile, const std::string &output_type, Globals &globals)
void | comp_grad12x (double *const grad_ptr, const double *const x, const double *const y, const double *const z)
double | dot8 (const double *const x1, const double *const x2)

## Variables
std::vector< char > | data
std::string | codename
std::string | version = "0.9"

## Function Documentation

## ◆ comp_grad12x()

void anonymous_namespace{sphgen.C}::comp_grad12x | ( | double *const | grad_ptr,
|  | const double *const | x,
|  | const double *const | y,
|  | const double *const | z
| ) |  |

## ◆ create_sph()

void anonymous_namespace{sphgen.C}::create_sph | ( | const std::string & | inpfile,
|  | const std::string & | input_type,
|  | const std::string & | outfile,
|  | const std::string & | output_type,
|  | Globals & | globals
| ) |  |

## ◆ dot8()

double anonymous_namespace{sphgen.C}::dot8 | ( | const double *const | x1,
|  | const double *const | x2
| ) |  |
| inline

## ◆ hex_volume()

void anonymous_namespace{sphgen.C}::hex_volume | ( | Ioss::ElementBlock * | block,
|  | const std::vector< double > & | coordinates,
|  | double * | centroids,
|  | std::vector< double > & | volume,
|  | std::vector< double > & | radius,
|  | double | scale_factor
| ) |  |

## ◆ show_usage()

void anonymous_namespace{sphgen.C}::show_usage | ( | const std::string & | prog | ) |

## Variable Documentation

## ◆ codename

std::string anonymous_namespace{sphgen.C}::codename

## ◆ data

std::vector<char> anonymous_namespace{sphgen.C}::data

## ◆ version

std::string anonymous_namespace{sphgen.C}::version = "0.9"